APIChangelogs
Update a changelog tag
Patch a changelog tag's name, color, or icon. Pass icon: null to remove the icon and render a colored dot. Requires the Scale plan and the changelogs:write scope.
PATCH
/changelog-tags/{id}curl -X PATCH "https://productlane.com/api/v2/changelog-tags/{id}" \
-H "Authorization: Bearer $PRODUCTLANE_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"name": "string",
"color": "string",
"icon": "Accessibility"
}'Authorization
AuthorizationstringheaderrequiredBearer authentication header of the form
Bearer <token>, where<token>is your auth token.
Parameters
idstringpathrequired
Body
application/json
namestringcolorstringHex color in
#RRGGBBor#RGBform.iconenum<string> | nullLinear icon name (PascalCase, e.g.
Rocket,Bolt,Compass,Megaphone). Passnull(on update) to show a colored dot instead of an icon.One of:AccessibilityAfricaAirplaneAlertAnchorAndroidAppleAsiaAustraliaBankBarChartBasketBatteryBikeBitcoinBoltBookBookmarkBriefcaseBrushBucketBugBurgerCalendarCameraCarCartChartChatChipClockCloudCoffeeCookieCompassComputerConeCreditCardCrossCrownCubeDashboardDatabaseDesignToolsDnaDollarEducationEuroEuropeFaceFlatSmileFaceHeartEyesFaceFaceIdFaceMaskFaceMonocleFaceStarEyesFaceSunglassesFaceSurpriseFaceTiredFaceTongueFavoriteFeatherFireFlowerFolderFootPrintGearsGitHubGitLabHeartHomeImageInboxJerseyJoystickLabelLeafLightBulbLinkLockMacMegaphoneMicMobilePhoneModemMountainMoonMusicKeyNorthAmericaPagePaintPhonePieChartPinPizzaPresentProjectRadarRamenRecycleRobotRocketScissorsSearchSendServerShieldShipShopSignSkullSoundSouthAmericaSubscribeSunTabletTeamTeeShirtTerminalThumbsDownThumbsUpTrashTreeUmbrellaUnhappyFaceUsersVideoWatchWorldWindTurbineAirTagAlarmClockAmericanFootBallAsteriskBandageBasketballBedBoomboxBonesBookOpenBowlingBallBoxBoxOpenBusCalculatorCarPoolChemistClickButtonClothHangerComodoreConnectedConstructionBarrierConversationCraneCrystalBallDesktopWindowDiceDinoDollarBillDumbbellElectricPlugEraserExtinguisherFactoryFlashlightFloppyDiskGarageGolfHackHealthHearHourglassJudgeLadderLockerRoomMacOSMagicWandMagnetMaskMilitaryTruckMoneyStackMovingStaircaseMusicTapeNotePadNotifiedPalmTreePillsPingPongPointerPokerCardProcessRankRunnerSafetyKitShrugSignatureSoccerBallSpacesSpeakerSpreadsheetStadiumStormSubgroupSurferTaxiTennisBallTextBlockTextParagraphTowerTrafficLightTrainTramUnionViewFinderVisionProWallWrenchWriteWritingAIRefreshCommentAttachmentBlockquoteCodeBlockBrickMetaOpenAIEmailCameraAiChecklistSolanaBrainAiAiAppAiDocumentBinocularBluetoothDirectionNetworkPolicyRoutingLinearAuth0ChromeDiscordEdgeFigmaFirefoxIntercomNotionOnePasswordSentrySlackZapierZendeskClockOutlineEthereumCustomViewInitiativeIssueStatusBacklogIssueStatusDoneIssueStatusReviewIssueStatusStartedIssueStatusTodoIssueStatusTriageMilestoneNoneMilestoneStatusDoneMilestoneStatusPlannedMilestoneStatusStartedMyIssuesAnthropicClaudeCursorRampAiWritingAlarmDeleteAlarmAnonymousAstronautBarGraphChatLineBiscuitDiagramExclamationMarkFlagGooglePlayMicrosoftTeamsQuestionMarkReportResolvedChatResolvedSmallLockSoundMutedSpeedometerStarredStopwatchAutomation
Response
application/json
Successful response
idstringrequirednamestringrequiredcolorstringrequirediconstring | nullrequiredName of a Nucleo icon (PascalCase, e.g.
Notepad,Atom). Must be a valid icon from https://nucleoapp.com - unknown names will not render in the dashboard or portal.
{
"id": "string",
"name": "string",
"color": "string",
"icon": "string"
}